跳至內容

Ideogram · v3 · Layerize Text

整合

模型 id ideogram/v3/layerize-text
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/v3/layerize-text?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.09 90 API 點數 · ≈ ₽9.49 在此頁面執行

取得 API 金鑰
Ideogram · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

可選的提示詞,用於引導轉換為圖層。

•必填 image_url
拖放檔案,或

用於轉換為圖層的扁平圖形圖像 URL。接受的格式為 JPEG、PNG 和 WebP;檔案大小上限為 10 MB。

進階 font_file_h1_url · font_name_h1 · font_file_h2_url · font_name_h2 · font_file_body_url · font_name_body · font_file_small_url · font_name_small · seed

h1 文字的字型檔案 URL;與 font_name_h1 互斥。

h1 文字的字型名稱;與 font_file_h1_url 互斥。

h2 文字的字型檔案 URL;與 font_name_h2 互斥。

h2 文字的字型名稱;與 font_file_h2_url 互斥。

內文文字的字型檔案 URL;與 font_name_body 互斥。

內文文字的字型名稱;與 font_file_body_url 互斥。

小型文字的字型檔案 URL;與 font_name_small 互斥。

小型文字的字型名稱;與 font_file_small_url 互斥。

亂數產生器使用的種子。

POST /run/ideogram/v3/layerize-text?wait=20 報價 → $0.09
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/v3/layerize-text?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Ideogram · v3 · Layerize Text

接收一個扁平圖形(`image_url`、JPEG、PNG 或 WebP,最大 10MB),並傳回移除文字後的背景、擷取出的圖像圖層、結構化文字容器,以及用於重新合成的覆蓋 HTML。可依名稱或檔案 URL 為 h1、h2、內文與小型文字設定字型。也接受選用的 `prompt` 和 `seed`。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_url必填 image
類型url · image
用於轉換為圖層的扁平圖形圖像 URL。接受的格式為 JPEG、PNG 和 WebP;檔案大小上限為 10 MB。
prompt選填
類型string | null
可選的提示詞,用於引導轉換為圖層。
seed選填
類型integer | null
亂數產生器使用的種子。
font_file_h1_url選填
類型string | null
h1 文字的字型檔案 URL;與 font_name_h1 互斥。
font_name_h1選填
類型string | null
h1 文字的字型名稱;與 font_file_h1_url 互斥。
font_file_h2_url選填
類型string | null
h2 文字的字型檔案 URL;與 font_name_h2 互斥。
font_name_h2選填
類型string | null
h2 文字的字型名稱;與 font_file_h2_url 互斥。
font_file_body_url選填
類型string | null
內文文字的字型檔案 URL;與 font_name_body 互斥。
font_name_body選填
類型string | null
內文文字的字型名稱;與 font_file_body_url 互斥。
font_file_small_url選填
類型string | null
小型文字的字型檔案 URL;與 font_name_small 互斥。
font_name_small選填
類型string | null
小型文字的字型名稱;與 font_file_small_url 互斥。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/v3/layerize-text",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 90,
    "usd": "0.09",
    "charged": 90,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "prompt": "string",
    "text_containers": [
      {}
    ],
    "text_html": "string",
    "image_layers": [
      {}
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
image
object {url, content_type, file_name, file_size}移除文字後的背景圖像。
prompt
string包含 MagicPrompt 擴展後的圖層化提示詞,因此可能與原始輸入不一致。
text_containers
array of object | null以容器、項目和 span 組成階層結構的文字容器。
text_html
string | null用於將文字合成至背景圖像上的算繪 HTML 覆蓋層。
image_layers
array of object從設計中分離出的圖像圖層。
seed
integer用於隨機數生成的種子值。

更多模型:圖像編輯

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/ideogram/v3/layerize-text.md. 所有模型與指南: https://doitong.com/developers/llms.txt